// Copyright (c) Jupyter Development Team.
// Distributed under the terms of the Modified BSD License.
import { Checkbox, checkboxTemplate as template } from '@microsoft/fast-foundation';
import { checkboxStyles as styles } from './checkbox.styles';
/**
 * A function that returns a {@link @microsoft/fast-foundation#Checkbox} registration for configuring the component with a DesignSystem.
 * Implements {@link @microsoft/fast-foundation#checkboxTemplate}
 *
 *
 * @public
 * @remarks
 * Generates HTML Element: `<jp-checkbox>`
 */
export const jpCheckbox = Checkbox.compose({
    baseName: 'checkbox',
    template,
    styles,
    checkedIndicator: `
    <svg
      part="checked-indicator"
      class="checked-indicator"
      viewBox="0 0 20 20"
      xmlns="http://www.w3.org/2000/svg"
    >
      <path
        fill-rule="evenodd"
        clip-rule="evenodd"
        d="M8.143 12.6697L15.235 4.5L16.8 5.90363L8.23812 15.7667L3.80005 11.2556L5.27591 9.7555L8.143 12.6697Z"
      />
    </svg>
    `,
    indeterminateIndicator: `
        <div part="indeterminate-indicator" class="indeterminate-indicator"></div>
    `
});
/**
 * Base class for Checkbox
 * @public
 */
export { Checkbox };
export { styles as checkboxStyles };
