// Copyright (c) Jupyter Development Team.
// Distributed under the terms of the Modified BSD License.
import { __awaiter } from "tslib";
import { test, expect } from '@playwright/test';
test('Default', ({ page }) => __awaiter(void 0, void 0, void 0, function* () {
    yield page.goto('/iframe.html?id=number-field--default');
    expect(yield page.locator('jp-number-field').screenshot()).toMatchSnapshot('number-field-default.png');
}));
test('With Placeholder', ({ page }) => __awaiter(void 0, void 0, void 0, function* () {
    yield page.goto('/iframe.html?id=number-field--with-placeholder');
    expect(yield page.locator('jp-number-field').screenshot()).toMatchSnapshot('number-field-with-placeholder.png');
}));
test('With Autofocus', ({ page }) => __awaiter(void 0, void 0, void 0, function* () {
    yield page.goto('/iframe.html?id=number-field--with-autofocus');
    expect(yield page.locator('jp-number-field').screenshot()).toMatchSnapshot('number-field-with-autofocus.png');
}));
test('With Disabled', ({ page }) => __awaiter(void 0, void 0, void 0, function* () {
    yield page.goto('/iframe.html?id=number-field--with-disabled');
    expect(yield page.locator('jp-number-field').screenshot()).toMatchSnapshot('number-field-with-disabled.png');
}));
test('With Size', ({ page }) => __awaiter(void 0, void 0, void 0, function* () {
    yield page.goto('/iframe.html?id=number-field--with-size');
    expect(yield page.locator('jp-number-field').screenshot()).toMatchSnapshot('number-field-with-size.png');
}));
test('With Max Length', ({ page }) => __awaiter(void 0, void 0, void 0, function* () {
    yield page.goto('/iframe.html?id=number-field--with-max-length');
    expect(yield page.locator('jp-number-field').screenshot()).toMatchSnapshot('number-field-with-max-length.png');
}));
test('With Readonly', ({ page }) => __awaiter(void 0, void 0, void 0, function* () {
    yield page.goto('/iframe.html?id=number-field--with-readonly');
    expect(yield page.locator('jp-number-field').screenshot()).toMatchSnapshot('number-field-with-readonly.png');
}));
test('With Start Icon', ({ page }) => __awaiter(void 0, void 0, void 0, function* () {
    yield page.goto('/iframe.html?id=number-field--with-start-icon');
    expect(yield page.locator('jp-number-field').screenshot()).toMatchSnapshot('number-field-with-start-icon.png');
}));
