// Copyright (c) Jupyter Development Team.
// Distributed under the terms of the Modified BSD License.
import { __awaiter } from "tslib";
import { test, expect } from '@playwright/test';
test('Default', ({ page }) => __awaiter(void 0, void 0, void 0, function* () {
    yield page.goto('/iframe.html?id=search--default');
    expect(yield page.locator('jp-search').screenshot()).toMatchSnapshot('search-default.png');
}));
test('With Placeholder', ({ page }) => __awaiter(void 0, void 0, void 0, function* () {
    yield page.goto('/iframe.html?id=search--with-placeholder');
    expect(yield page.locator('jp-search').screenshot()).toMatchSnapshot('search-with-placeholder.png');
}));
test('With Autofocus', ({ page }) => __awaiter(void 0, void 0, void 0, function* () {
    yield page.goto('/iframe.html?id=search--with-autofocus');
    expect(yield page.locator('jp-search').screenshot()).toMatchSnapshot('search-with-autofocus.png');
}));
test('With Disabled', ({ page }) => __awaiter(void 0, void 0, void 0, function* () {
    yield page.goto('/iframe.html?id=search--with-disabled');
    expect(yield page.locator('jp-search').screenshot()).toMatchSnapshot('search-with-disabled.png');
}));
test('With Size', ({ page }) => __awaiter(void 0, void 0, void 0, function* () {
    yield page.goto('/iframe.html?id=search--with-size');
    expect(yield page.locator('jp-search').screenshot()).toMatchSnapshot('search-with-size.png');
}));
test('With Maxlength', ({ page }) => __awaiter(void 0, void 0, void 0, function* () {
    yield page.goto('/iframe.html?id=search--with-max-length');
    expect(yield page.locator('jp-search').screenshot()).toMatchSnapshot('search-with-maxlength.png');
}));
test('With Search Icon', ({ page }) => __awaiter(void 0, void 0, void 0, function* () {
    yield page.goto('/iframe.html?id=search--with-search-icon');
    expect(yield page.locator('jp-search').screenshot()).toMatchSnapshot('search-with-search-icon.png');
}));
