"use strict";
// Copyright (c) Jupyter Development Team.
// Distributed under the terms of the Modified BSD License.
Object.defineProperty(exports, "__esModule", { value: true });
exports.numberFieldStyles = exports.NumberField = exports.jpNumberField = void 0;
const fast_foundation_1 = require("@microsoft/fast-foundation");
const fast_components_1 = require("@microsoft/fast-components");
const number_field_styles_1 = require("./number-field.styles");
Object.defineProperty(exports, "numberFieldStyles", { enumerable: true, get: function () { return number_field_styles_1.numberFieldStyles; } });
// TODO
//   we need to add error/invalid
/**
 * A function that returns a {@link @microsoft/fast-foundation#NumberField} registration for configuring the component with a DesignSystem.
 * Implements {@link @microsoft/fast-foundation#numberFieldTemplate}
 *
 *
 * @public
 * @remarks
 * Generates HTML Element: `<jp-number-field>`
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/API/ShadowRoot/delegatesFocus | delegatesFocus}
 */
exports.jpNumberField = fast_components_1.NumberField.compose({
    baseName: 'number-field',
    baseClass: fast_foundation_1.NumberField,
    styles: number_field_styles_1.numberFieldStyles,
    template: fast_foundation_1.numberFieldTemplate,
    shadowOptions: {
        delegatesFocus: true
    },
    stepDownGlyph: `
        <span class="step-down-glyph" part="step-down-glyph"></span>
    `,
    stepUpGlyph: `
        <span class="step-up-glyph" part="step-up-glyph"></span>
    `
});
var fast_components_2 = require("@microsoft/fast-components");
Object.defineProperty(exports, "NumberField", { enumerable: true, get: function () { return fast_components_2.NumberField; } });
//# sourceMappingURL=index.js.map