"use strict";
// Copyright (c) Jupyter Development Team.
// Distributed under the terms of the Modified BSD License.
Object.defineProperty(exports, "__esModule", { value: true });
exports.tabsStyles = exports.Tabs = exports.jpTabs = void 0;
const tslib_1 = require("tslib");
const fast_foundation_1 = require("@microsoft/fast-foundation");
Object.defineProperty(exports, "Tabs", { enumerable: true, get: function () { return fast_foundation_1.Tabs; } });
const tabs_styles_1 = require("./tabs.styles");
Object.defineProperty(exports, "tabsStyles", { enumerable: true, get: function () { return tabs_styles_1.tabsStyles; } });
/**
 * A function that returns a {@link @microsoft/fast-foundation#Tabs} registration for configuring the component with a DesignSystem.
 * Implements {@link @microsoft/fast-foundation#tabsTemplate}
 *
 *
 * @public
 * @remarks
 * Generates HTML Element: `<jp-tabs>`
 */
exports.jpTabs = fast_foundation_1.Tabs.compose({
    baseName: 'tabs',
    template: fast_foundation_1.tabsTemplate,
    styles: tabs_styles_1.tabsStyles
});
tslib_1.__exportStar(require("../tab"), exports);
tslib_1.__exportStar(require("../tab-panel"), exports);
//# sourceMappingURL=index.js.map