"use strict";
// Copyright (c) Jupyter Development Team.
// Distributed under the terms of the Modified BSD License.
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const test_1 = require("@playwright/test");
test_1.test('Default', ({ page }) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
    yield page.goto('/iframe.html?id=text-field--default');
    test_1.expect(yield page.locator('jp-text-field').screenshot()).toMatchSnapshot('text-field-default.png');
}));
test_1.test('With Placeholder', ({ page }) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
    yield page.goto('/iframe.html?id=text-field--with-placeholder');
    test_1.expect(yield page.locator('jp-text-field').screenshot()).toMatchSnapshot('text-field-with-placeholder.png');
}));
test_1.test('With Autofocus', ({ page }) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
    yield page.goto('/iframe.html?id=text-field--with-autofocus');
    test_1.expect(yield page.locator('jp-text-field').screenshot()).toMatchSnapshot('text-field-with-autofocus.png');
}));
test_1.test('With Disabled', ({ page }) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
    yield page.goto('/iframe.html?id=text-field--with-disabled');
    test_1.expect(yield page.locator('jp-text-field').screenshot()).toMatchSnapshot('text-field-with-disabled.png');
}));
test_1.test('With Size', ({ page }) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
    yield page.goto('/iframe.html?id=text-field--with-size');
    test_1.expect(yield page.locator('jp-text-field').screenshot()).toMatchSnapshot('text-field-with-size.png');
}));
test_1.test('With Type', ({ page }) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
    yield page.goto('/iframe.html?id=text-field--with-type');
    test_1.expect(yield page.locator('jp-text-field').screenshot()).toMatchSnapshot('text-field-with-type.png');
}));
test_1.test('With Max Length', ({ page }) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
    yield page.goto('/iframe.html?id=text-field--with-max-length');
    test_1.expect(yield page.locator('jp-text-field').screenshot()).toMatchSnapshot('text-field-with-max-length.png');
}));
test_1.test('With Readonly', ({ page }) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
    yield page.goto('/iframe.html?id=text-field--with-readonly');
    test_1.expect(yield page.locator('jp-text-field').screenshot()).toMatchSnapshot('text-field-with-readonly.png');
}));
test_1.test('With Start Icon', ({ page }) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
    yield page.goto('/iframe.html?id=text-field--with-start-icon');
    test_1.expect(yield page.locator('jp-text-field').screenshot()).toMatchSnapshot('text-field-with-start-icon.png');
}));
//# sourceMappingURL=text-field.test.js.map