"use strict";
// Copyright (c) Jupyter Development Team.
// Distributed under the terms of the Modified BSD License.
Object.defineProperty(exports, "__esModule", { value: true });
exports.toolbarStyles = exports.Toolbar = exports.jpToolbar = void 0;
const fast_components_1 = require("@microsoft/fast-components");
Object.defineProperty(exports, "Toolbar", { enumerable: true, get: function () { return fast_components_1.Toolbar; } });
const fast_foundation_1 = require("@microsoft/fast-foundation");
const toolbar_styles_1 = require("./toolbar.styles");
Object.defineProperty(exports, "toolbarStyles", { enumerable: true, get: function () { return toolbar_styles_1.toolbarStyles; } });
/**
 * A function that returns a {@link @microsoft/fast-foundation#Toolbar} registration for configuring the component with a DesignSystem.
 * Implements {@link @microsoft/fast-foundation#toolbarTemplate}
 *
 * @public
 * @remarks
 *
 * Generates HTML Element: `<jp-toolbar>`
 *
 */
exports.jpToolbar = fast_components_1.Toolbar.compose({
    baseName: 'toolbar',
    baseClass: fast_foundation_1.Toolbar,
    template: fast_foundation_1.toolbarTemplate,
    styles: toolbar_styles_1.toolbarStyles,
    shadowOptions: {
        delegatesFocus: true
    }
});
//# sourceMappingURL=index.js.map